
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Bash Getopts - 让你的脚本支持命令行参数 / iVAN</title>

    <meta name="description" content="Bash Getopts - 让你的脚本支持命令行参数 Bash Getopts - 让你的脚本支持命令行参数 以前我总想知道如何为我的Bash脚本创建命令行参数.经过搜索,我发现了2个函数可以处理这个问题,getopt 函数和 getopts 函数.我无意争论哪一个函数更好的.getopts 是一个shell内建命令,而且似乎比 getopt 更容易实现这个功能,所以在这篇文章里我准备讲讲getopts. bash getopts 开始的时候,我只试着处理传递给脚本的命令行参数.最后,我添加了另外一些有用的功能函数,使得这个脚本可以成为其他任何交互">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Bash Getopts - 让你的脚本支持命令行参数</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>Bash Getopts - 让你的脚本支持命令行参数</h1>
<p>以前我总想知道如何为我的Bash脚本创建命令行参数。经过搜索，我发现了2个函数可以处理这个问题，getopt 函数和 getopts 函数。我无意争论哪一个函数更好的。getopts 是一个shell内建命令，而且似乎比 getopt 更容易实现这个功能，所以在这篇文章里我准备讲讲getopts。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2RuLWxpbnV4Y24ucWJveC5tZS9kYXRhL2F0dGFjaG1lbnQvYWxidW0vMjAxNDA2LzE2LzE0NDQ1OWtocmg2bzFzN20xa21qbDQucG5n.jpg"></p>
<h3>bash getopts</h3>
<p>开始的时候，我只试着处理传递给脚本的命令行参数。最后，我添加了另外一些有用的功能函数，使得这个脚本可以成为其他任何交互式脚本处理命令行的开始模板。我还添加了一个纯文本格式的帮助函数，让脚本更加容易阅读。</p>
<p>与其来一长段文字解释 getopts 在bash中是如何工作的，我认为不如直接来一个能工作的脚本更让人觉得轻松一些。</p>
<pre>
</pre>
<ol>
<li>#!/bin/bash</li>
<li> </li>
<li>######################################################################</li>
<li>#This is an example of using getopts in Bash. It also contains some</li>
<li>#other bits of code I find useful.</li>
<li>#Author: Linerd</li>
<li>#Website: http://tuxtweaks.com/</li>
<li>#Copyright 2014</li>
<li>#License: Creative Commons Attribution-ShareAlike 4.0</li>
<li>#http://creativecommons.org/licenses/by-sa/4.0/legalcode</li>
<li>######################################################################</li>
<li> </li>
<li>#Set Script Name variable</li>
<li>SCRIPT=`basename ${BASH_SOURCE[0]}`</li>
<li> </li>
<li>#Initialize variables to default values.</li>
<li>OPT_A=A</li>
<li>OPT_B=B</li>
<li>OPT_C=C</li>
<li>OPT_D=D</li>
<li> </li>
<li>#Set fonts for Help.[译注: 这里tput用来更改终端文本属性,比如加粗，高亮等]</li>
<li>NORM=`tput sgr0`</li>
<li>BOLD=`tput bold`</li>
<li>REV=`tput smso`</li>
<li> </li>
<li>#Help function</li>
<li>function HELP {</li>
<li>echo -e \\n"Help documentation for ${BOLD}${SCRIPT}.${NORM}"\\n</li>
<li>echo -e "${REV}Basic usage:${NORM} ${BOLD}$SCRIPT file.ext${NORM}"\\n</li>
<li>echo "Command line switches are optional. The following switches are recognized."</li>
<li>echo "${REV}-a${NORM}  --Sets the value for option ${BOLD}a${NORM}. Default is ${BOLD}A${NORM}."</li>
<li>echo "${REV}-b${NORM}  --Sets the value for option ${BOLD}b${NORM}. Default is ${BOLD}B${NORM}."</li>
<li>echo "${REV}-c${NORM}  --Sets the value for option ${BOLD}c${NORM}. Default is ${BOLD}C${NORM}."</li>
<li>echo "${REV}-d${NORM}  --Sets the value for option ${BOLD}d${NORM}. Default is ${BOLD}D${NORM}."</li>
<li>echo -e "${REV}-h${NORM}  --Displays this help message. No further functions are performed."\\n</li>
<li>echo -e "Example: ${BOLD}$SCRIPT -a foo -b man -c chu -d bar file.ext${NORM}"\\n</li>
<li>exit 1</li>
<li>}</li>
<li> </li>
<li>#Check the number of arguments. If none are passed, print help and exit.</li>
<li>NUMARGS=$#</li>
<li>echo -e \\n"Number of arguments: $NUMARGS"</li>
<li>if [ $NUMARGS -eq 0 ]; then</li>
<li>HELP</li>
<li>fi</li>
<li> </li>
<li>### Start getopts code ###</li>
<li> </li>
<li>#Parse command line flags</li>
<li>#如果选项需要后跟参数，在选项后面加":"</li>
<li>#注意"-h"选项后面没有":"，因为他不需要参数。选项字符串最开始的":"是用来去掉来自getopts本身的报错的，同时获取不能识别的选项。（译注：如果选项字符串不以":"开头，发生错误（非法的选项或者缺少参数）时，getopts会向错误输出打印错误信息；如果以":"开头，则不会打印[在man中叫slient error reporting]，同时将出错的选项赋给OPTARG变量）</li>
<li> </li>
<li>while getopts :a:b:c:d:h FLAG; do</li>
<li>case $FLAG in</li>
<li>a)  #set option "a"</li>
<li>OPT_A=$OPTARG</li>
<li>echo "-a used: $OPTARG"</li>
<li>echo "OPT_A = $OPT_A"</li>
<li>;;</li>
<li>b)  #set option "b"</li>
<li>OPT_B=$OPTARG</li>
<li>echo "-b used: $OPTARG"</li>
<li>echo "OPT_B = $OPT_B"</li>
<li>;;</li>
<li>c)  #set option "c"</li>
<li>OPT_C=$OPTARG</li>
<li>echo "-c used: $OPTARG"</li>
<li>echo "OPT_C = $OPT_C"</li>
<li>;;</li>
<li>d)  #set option "d"</li>
<li>OPT_D=$OPTARG</li>
<li>echo "-d used: $OPTARG"</li>
<li>echo "OPT_D = $OPT_D"</li>
<li>;;</li>
<li>h)  #show help</li>
<li>HELP</li>
<li>;;</li>
<li>\?) #unrecognized option - show help</li>
<li>echo -e \\n"Option -${BOLD}$OPTARG${NORM} not allowed."</li>
<li>HELP</li>
<li>#在这里如果你不想打印完整的帮助信息，只想显示简单的错误信息，去掉上面的两行，同时使用下面的两行。</li>
<li>#echo -e "Use ${BOLD}$SCRIPT -h${NORM} to see the help documentation."\\n</li>
<li>#exit 2</li>
<li>;;</li>
<li>esac</li>
<li>done</li>
<li> </li>
<li>shift $((OPTIND-1))  #This tells getopts to move on to the next argument.</li>
<li> </li>
<li>### End getopts code ###</li>
<li> </li>
<li> </li>
<li>### Main loop to process files ###</li>
<li> </li>
<li>#这里你可以用你的脚本处理逻辑来替代。这个例子只是在终端中打印文件的文件名和后缀名。你可以把任意其他的文件处理任务放到这个while-do循环中。</li>
<li> </li>
<li>while [ $# -ne 0 ]; do</li>
<li>FILE=$1</li>
<li>TEMPFILE=`basename $FILE`</li>
<li>#TEMPFILE="${FILE##*/}"  #另外一种获取不带后缀的文件名的方法。</li>
<li>FILE_BASE=`echo "${TEMPFILE%.*}"`  #file without extension</li>
<li>FILE_EXT="${TEMPFILE##*.}"  #file extension</li>
<li> </li>
<li> </li>
<li>echo -e \\n"Input file is: $FILE"</li>
<li>echo "File withouth extension is: $FILE_BASE"</li>
<li>echo -e "File extension is: $FILE_EXT"\\n</li>
<li>shift  #Move on to next input file.</li>
<li>done</li>
<li> </li>
<li>### End main loop ###</li>
<li> </li>
<li>exit 0</li>
</ol>
<p>将上面的代码复制到你的文本编辑器里，然后保存到你的可执行路径下。我将这个脚本命名为 options 并保存到 /home/linerd/bin 路径下。保存之后记得给你的脚本添加可执行权限。</p>
<pre>
</pre>
<ol>
<li>chmod +x ~/bin/options</li>
</ol>
<p>现在脚本已经可以运行了。试试用 -h 参数来打印帮助信息吧。</p>
<pre>
</pre>
<ol>
<li>options -h</li>
</ol>
<p>遇到不支持的选项，脚本同样可以给出提示，并打印帮助信息。</p>
<pre>
</pre>
<ol>
<li>options -z</li>
</ol>
<p>最后，getopts可以以任意的顺序处理你给的命令行参数。唯一的限制是你要处理的文件必须放在所有参数的最后。</p>
<pre>
</pre>
<ol>
<li>options -d bar -c chu -b man -a foo example1.txt example2.txt</li>
</ol>
<p>现在你可以从这些例子里看到如何通过命令行参数给脚本里的变量赋值。这个脚本里除了getopts还有很多其他的东西，但是我认为这些就足以成为一个新脚本的开头模板了。如果你有兴趣更深入地学习bash的getopts，你可以找找深埋在man page的“Builtins”这一节里的文档，也可以从 <a href="http://tuxtweaks.com/2014/05/bash-getopts/www.gnu.org/software/bash/manual/html_node/Bourne-Shell-Builtins.html" rel="external nofollow noreferrer">Bash Reference Manual</a> 找到信息。</p>
<h3>接下来呢?</h3>
<p>你会用getops来干什么呢？在评论里告诉我吧。</p>
<p>原文发布时间：2014-06-16</p>
<p>本文来自云栖合作伙伴“linux中国”</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 14:41:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/file/" title="file">file</a>, <a href="https://www.iamivan.net/tag/%e8%84%9a%e6%9c%ac/" title="脚本">脚本</a>, <a href="https://www.iamivan.net/tag/bash/" title="Bash">Bash</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Bash Getopts - 让你的脚本支持命令行参数的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGAXjkM.html" rel="bookmark">mysql-怎样让程序支持命令行操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 怎样让程序支持命令行操作 怎样编写支持命令行的程序,比如像mysql,gcc之类的为什么可以通过命令行可以进行操作?我的想法是,程序运行后开启一个线程不断监听键盘的输入,但是这样程序必须启动后才能执行这些命令.但是像gcc之类的可以直接执行命令 啊.还是和系统的shell有关呢. 解决方案 交互式编程,不要想的太偏激 解决方案二: 就是读取命令行输入,然后执行对应的逻辑,执行完了,就继续等待后一个命令的输入. 解决方案三: 就是读取命令行输入,然后执行对应的逻辑,执行完了,输出到控制台			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwJradp.html" rel="bookmark">shell命令行参数-Linuxshell脚本中调用可执行程序命令行参数出现丢失错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Linuxshell脚本中调用可执行程序命令行参数出现丢失错误 #!/bin/bash If [$1 == &quot;-i&quot;] then TM_demo $1 $2 fi If [$1 == &quot;-f&quot;] then TM_demo $1 $2 $3 $4 fi 在linux执行的时候./a.sh -f data,出现 [:丢失了&quot;]&quot;,大神帮帮忙! 解决方案 [和]不是shell的meta character,所以需要跟其它标识符用blank/s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEWa0Pp.html" rel="bookmark">IBM Key Management工具&lpar;iKeyMan&rpar;脚本吃掉&percnt;&ast;&dollar;&ast;无法接收命令行参数之解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://www.java2class.net/bbs/viewthread.php?tid=230   iKeyman工具是一个图形化用户界面的数字证书管理工具.通过它可以创建一个新的密钥库.测试数字证书.增加CA根到密钥库.从一个密钥库拷贝证书到另一个密钥库,以及从CA机构请求和接收数字证书.设置默认的密钥.更改密码等等. 但是由于IBM产品中所附带的脚本中对接收命令行的参数没有进行有效的处理,以致于想通过命令行进行传递定制的参数无法顺利进行. 对于AIX.Linux.Solaris可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvrY2NM.html" rel="bookmark">&period;NET Core采用的全新配置系统&lbrack;5&rsqb;&colon; 聊聊默认支持的各种配置源&lbrack;内存变量&comma;环境变量和命令行参数&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				较之传统通过App.config和Web.config这两个XML文件承载的配置系统,.NET Core采用的这个全新的配置模型的最大一个优势就是针对多种不同配置源的支持.我们可以将内存变量.命令行参数.环境变量和物理文件作为原始配置数据的来源,如果采用物理文件作为配置源,我们可以选择不同的格式(比如XML.JSON和INI等) .如果这些默认支持的配置源形式还不能满足你的需求,我们还可以通过注册自定义ConfigurationSource的方式将其他形式数据作为我们的配置来源. [ 本文已经同			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4rvxp.html" rel="bookmark">让WPF窗体程序支持命令行方式运行的三种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有的时候,我们希望窗体程序也能接受命令行参数,以Console的方式运行.但是实现起来却要一些小技巧才能做到.如果做一个WPF程序,在Window的Loaded事件里写这样的语句: Console.WriteLine(&quot;Hello word.&quot;); 然后从CMD运行之.会发现这个语句根本没有输出出来.如图1所示. 图1. 从命令行运行Wpf程序 对于这个问题有三个解决方案.三个方案各有优缺点,请酌情选择. 1.使用more命令:这种方案不需要修改任何代码,只要在从命令行运行时加个 &q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAaEqZM.html" rel="bookmark">Ghost命令行参数一览表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				许多人都听说过或用过Norton Ghost这个软件,然而由于它的界面全是英文的,导致许多国内网友为此而头痛.下面以它的7.0版为例,提供了Ghost的命令行参数. /?或/H:查看帮助. -CLONE:克隆. -IA:对所有分区中的扇区进行映象. -ID:对整个磁盘(包括未分区空间)进行复制. -IR:和ID一样,但不将分区调整为扇区界限. -IB:只复制磁盘的启动扇区. -IAL:对LINUX分区进行整个复制,对其它分区则用正常方法. -OR:覆盖空间并进行完整性检查. -NOLILO:复制			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MYZrQp.html" rel="bookmark">php 命令行参数详解及应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				命令行|详解 大家知道,php是一种PHP是一个基于服务端来创建动态网站的脚本语言,您可以用PHP和HTML生成网站主页.当用户打开php页面时,服务端便执行PHP的命令并将执行结果发送至用户的浏览器中,这类似于ASP和CoildFusion,PHP可以运行在WINDOWS和多种版本的UNIX上.除了能够操作您的页面外,PHP还能发送HTTP的标题.您可以设置cookie,管理数字签名和重定向用户,而且它提供了极好的连通性到其它数据库(还有ODBC),集成各种外部库来做用PDF文档解析XML的任			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmGElwb.html" rel="bookmark">WinRAR命令行参数整理汇集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WinRAR支持命令行执行压缩与解压缩等,而且就一个rar.exe就能支持图形界面的很多操作,特别方便远程管理等 我的实例: 将D:/wk.doc压缩为:final.rar d:/winrar/rarad:/final.rard:/wk.doc 将final.rar中的wk.doc解压到F:盘 rared:/final.rarF: 将final.rar转换成自解压文件 rarsfinal,rar(默认转换到同级目录下了) 给自解压文件(.exe)添加注释(设置默认解压路径等) rarc-zwk.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGAEweM.html" rel="bookmark">如何分析命令行参数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何分析命令行参数     GNU/Linux的命令行选项有两种类型:短选项和长选项,前者以 '-' 作为前导符,后者以 '--' 作为前导符.     比如有一个命令: $ myprog -a vv --add -b --file a.txt b.txt - -- -e c.txt     在GNU/Linux系统,对这种情况的一种合理解释是:     a是短选项,带一个参数vv:     add是长选项,无参数:     b是短选项,无参数:     file是长选项,带一个参数a.txt:			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlQ3Yp.html" rel="bookmark" class="title">360极速浏览器试用扩展程序教程</a>
					<div>
						360极速浏览器试用扩展程序的方法如下: 访问360极速浏览器的扩展中心,查找感兴趣的扩展程序.如果找到了感兴趣的扩展程序,那可以安装试用. 360极速浏览器是一款极速.安全的无缝双核浏览器.它基于C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mva7Ab.html" rel="bookmark" class="title">wordpress seo优化</a>
					<div>
						wordpress各个主题,基本上都没经过优化,对搜索引擎不友好,废话不多说,站长特效网是通过下面这个方法来优化的,希望对你有帮助. wordpress各个主题,基本上都没经过优化,对搜索引擎不友好, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62Y2XM.html" rel="bookmark" class="title">如何设置Word 2013文档的页边距</a>
					<div>
						通过设置页边距,可以使Word2013文档的正文部分跟页面边缘保持比较合适的距离.这样不仅使Word文档看起来更加美观,还可以达到节约纸张的目的.在Word2013文档中设置页面边距有两种方式: 方式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOmvOb.html" rel="bookmark" class="title">如何在Outlook中删除重复的邮件</a>
					<div>
						今天帮个用户转移archive文件时,由于误操作,将文件夹内的文件重复复制了一份,造成文件夹内的email变成有2份重复一样的.于是想到之前看过有删除重复邮件的软件,遂baidu之,一下就找到了.OD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6OW3z.html" rel="bookmark" class="title">第八章-对象链接与嵌入（一）&lpar;3&rpar;</a>
					<div>
						8.3.2.2 初始化OLE包容器部件 为了使OLE包容器部件包含OLE对象,必须对部件进行初始化. 初始化主要是定义部件的OLE类.如果定义了OLE文件和OLE项目,初始化完成后,OLE 应用程序部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrXAJp.html" rel="bookmark" class="title">使用Word软件给汉字加拼音的方法</a>
					<div>
						  使用Word软件给汉字加拼音的方法         给汉字加拼音 1.输入文字并调整好大小 图1 输入文字 2.选择文字,添加拼音 选择文字,单击&quot;开始&quot;→拼音指南 图2 设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr6P5p.html" rel="bookmark" class="title">javascript实现TreeView 无刷新展开的实例代码</a>
					<div>
						这篇文章介绍了javascript实现TreeView 无刷新展开的实例代码,有需要的朋友可以参考一下   复制代码 代码如下: function public_GetParentByTagName( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy2edb.html" rel="bookmark" class="title">切换ubuntu下图形模式与linux命令行模式</a>
					<div>
						  本文讲述了linux下图形模式与linux命令行模式切换要领.下面将对此执行 细致说明: ctrl+alt+f2 命令行模式 ctrl+alt+f7 图形模式 我安装的是ubuntu版本,其他版本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKPDmp.html" rel="bookmark" class="title">Photoshop给田间情侣图照片调出淡紫色教程</a>
					<div>
						教程介绍非常漂亮的紫色调图片调色方法.大致分为三个大的步骤:首先是图片的基本修复,包括整体颜色及人物不美观的部分.然后是主色调整,这一步比较重要,调整的时候要细致,要把图片的层次感调出来.最后就是高光 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaogRz.html" rel="bookmark" class="title">Win7如何保存网页图片？</a>
					<div>
						  最近有Win7系统用户反映,浏览网页的时候遇到了自己喜欢的图片,想要把它保存下来,右键之后却发现没有&quot;图片另存为&quot;这个选项.那么这时候要怎么保存自己喜欢的图片呢?我们一起来看一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYwdAM.html" rel="bookmark" class="title">win7怎么更改本地磁盘变成自己想要的名称</a>
					<div>
						  win7怎么更改本地磁盘变成自己想要的名称?如果能够把win7旗舰版系统的本地磁盘的名称更改为娱乐.工作等,方便识别的名称,这样操作起来就非常方便了,那么win7旗舰版系统怎么把本地磁盘名称更改成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArvEnp.html" rel="bookmark" class="title">如何禁止win7电脑开机时出现声音？</a>
					<div>
						  如何禁止win7电脑开机时出现声音? 1.首先,咱们单击屏幕左下角的开始菜单,然后点击进入到快捷菜单中的控制面板中. 2.进入到控制面板的界面中之后,咱们将界面右上角处的查看方式更改为大图标,然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArnZ3p.html" rel="bookmark" class="title">任务管理器已停止工作怎么办？</a>
					<div>
						  故障分析:一般电脑出现异常第一种情况想到是病毒感染入侵,这点是不能忽视的.其次就是电脑本身系统出现设置错误或者系统文件被丢失.注册表被修改的情况导致. 解决方法:一.首先按住ctrl+alt+de ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1oYNb.html" rel="bookmark" class="title">温州百亿元网络赌博案判决</a>
					<div>
						新华网杭州4月23日电 浙江省温州市一个犯罪团伙与境外赌博网站挂钩,发展会员疯狂赌博,仅1年多累计投注赌博金额高达100多亿元.这是温州市迄今为止涉案金额最大的一起网络赌博案. 温州市鹿城区人民法院1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3jo6M.html" rel="bookmark" class="title">【Go语言】【3】GO语言常量</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://qingkechina.blog.51cto.com/5552198/161470 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ2dnp.html" rel="bookmark" class="title">jquery隐藏标签和显示标签的实例&lowbar;jquery</a>
					<div>
						复制代码 代码如下: &lt;meta content=&quot;text/html; charset=utf-8&quot; http-equiv=&quot;Content-Type&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwWDKM.html" rel="bookmark" class="title">WCF服务端运行时架构体系详解&lbrack;上篇&rsqb;</a>
					<div>
						WCF的服务端架构体系又可以成为服务寄宿端架构体系.我们知道,对于一个基于某种类型的服务进行寄宿只需要使用到一个唯一的对象,那就是ServiceHost.甚至在某种语境下,我们所说的服务实际上就是指的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRq4Reb.html" rel="bookmark" class="title">viewport的一些事</a>
					<div>
						整理了下viewport的东西,用脑图画了下 转载:http://www.cnblogs.com/lovesong/p/3294043.html					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/MlQ6Jqp.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvc2VnbWVudGZhdWx0LmNvbS9pbWFnZT9zcmM9aHR0cDovL3NlYW4taW1hZ2VzLnFpbml1ZG4uY29tL3Ztd2FyZS1jb252ZXJ0ZXItMC5wbmcmYW1wO29iamVjdElkPTExOTAwMDAwMDI2OTc5MjkmYW1wO3Rva2VuPTVkYWVjYzQwN2NmYjNmNWZkNmZmODNhYTY0ZDQwNjNl.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/MlQ6Jqp.html" rel="bookmark" class="title">使用vmware vconverter从物理机迁移系统到虚拟机P2V（多图）</a>
					<div>
						本文完整记录了如何从物理服务器,保持所有环境配置信息,纹丝不动的迁移到虚拟机上,俗称 P2V .采用的工具是VMware公司的VMware vcenter vconverter standalone, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AXBNz.html" rel="bookmark" class="title">天猫618收官之时，马云张勇在哪？</a>
					<div>
						在今年天猫618收官阶段,阿里巴巴董事局主席马云和CEO张勇却没有一个在阿里巴巴. 马云去了美国,张勇去了欧洲. 这是什么打法?阿里巴巴的战略着眼点,或可由此探寻,而天猫618,也可以看作是阿里全球化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0aqRM.html" rel="bookmark" class="title">java里面请问下如何将long类型的数据转换成无符号的int数据</a>
					<div>
						问题描述 longaa=Integer.MAX_VALUE+100;intunsignedBB=converter(aa);请问下这个converter函数该如何写? 解决方案 解决方案二:java里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwDG0M.html" rel="bookmark" class="title">SQL中存储过程的创建和使用</a>
					<div>
						如何创建存储过程 user testdatabase(数据库名称) go create procedure testname(存储过程名称) @test1 int, @test2 nvarchar(5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEqaRp.html" rel="bookmark" class="title">12周创业计划之四：计算创业成本</a>
					<div>
						你如果准备创业,那么在投入资金之前,一定要了解创业成本. 你可能有个大体的估计,但是这种数字对于创建可行性商业计划和真正启动企业而言不够具体,准确测出所需的资金是成功的关键, 低估所需成本,在公司盈利 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YxWPp.html" rel="bookmark" class="title">2016年北京中国云计算技术大会见闻</a>
					<div>
						概述 笔者有幸受邀请参加中国云计算技术大会,感谢主办方CSDN.此次大会有3天,第一天全部为topic,随后分为了若干个场次,有&lt;Container技术峰会&gt;.&lt;大数据核心技术与应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Ymwrb.html" rel="bookmark" class="title">apache2 2 29-redhat5&period;6&plus;apache 2&period;2&period;29&plus;mongrel 老挂 帮忙看看</a>
					<div>
						问题描述 redhat5.6+apache 2.2.29+mongrel 老挂 帮忙看看 访问一会 apache 和 mongrel 就挂了这个是 apache日志,在redhat5.5 下同样的就没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baq5d2b.html" rel="bookmark" class="title">基于重心偏移的视差计算</a>
					<div>
						    视差的计算,主要要计算待匹配图像对应像素的水平偏移,那么针对一个物体而言,其在场景中的视差大体上应该是平滑的,所以可以直接针对分割出的物体计算重心的水平偏移从而得到视差值,我做了一个小实验,感 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVX0JmM.html" rel="bookmark" class="title">5G频谱牌照天价？专家预计：5G频谱成本低于4G！</a>
					<div>
						据国外媒体报道,电信公司除了要面临着5G网络技术推出的大额账单外,还在担心获得新的频谱牌照将使其成本负担愈加沉重.在上周的世界移动通信大会上,德国电信首席执行官Timotheus Httges呼吁监管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqOg1Oz.html" rel="bookmark" class="title">【spring框架】spring的注入类型剖析</a>
					<div>
						注入类型: a)Setter(重要) b)构造方法 c)接口注入 1.Setter注入: 例子: package cn.edu.hpu.service; import cn.edu.hpu.dao.U ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2JjJZb.html" rel="bookmark" class="title">世界这么大，我也来秀秀</a>
					<div>
						最近,在网络上曝出云南一导游因不满游客消费低而辱骂游客的视频,广大的网友在第一时间里了解到了事发现场,并对导游的无礼行为和粗鲁言语表现出了极大的愤慨.相关旅游部门迅速做出了反应,肇事导游也获得了应有的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOXnm9b.html" rel="bookmark" class="title">继5月推出蓝莓之后，佳沃又推出了第二个旗舰水果产品</a>
					<div>
						继5月推出蓝莓之后,佳沃又推出了第二个旗舰水果产品.昨日(11月12日),联想控股旗下的佳沃集团正式推出&quot;佳沃金艳果&quot;猕猴桃. 对于目前佳沃集团的盈利,联想控股高级副总裁兼佳沃集团 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
